from pydantic import BaseModel, PositiveInt, NegativeInt

from src.schemas import MessageFromChatSchema, BaseModelWithSerializeDatetime


class ChatMessageSchema(BaseModelWithSerializeDatetime):
    chat_id: int
    messages: list[MessageFromChatSchema]


class FullRequestForGeminiSchema(BaseModelWithSerializeDatetime):
    chats: list[ChatMessageSchema]


class SuccessChatFromAiSchema(BaseModelWithSerializeDatetime):
    user_id: PositiveInt | None
    chat_id: NegativeInt | None
    reason: str | None


class ResponseFromGeminiSchema(BaseModelWithSerializeDatetime):
    success: list[SuccessChatFromAiSchema] | None

