
from faststream.rabbit import RabbitBroker, RabbitExchange, ExchangeType, RabbitQueue


url = "amqp://test:test@localhost:9072/"



broker = RabbitBroker(
    url=url
)


base_exchange = RabbitExchange(
    name="base_exchange",
    type=ExchangeType.DIRECT,
)

base_queue = RabbitQueue(
    name="base_queue",
)


message_subscriber = broker.subscriber(
    queue=base_queue,
    exchange=base_exchange,
)

async def init_queue_and_publisher():
    await broker.declare_exchange(base_exchange)
    await broker.declare_queue(base_queue)

