import json

from google.generativeai import GenerativeModel

from src.gemini_sdk.constants import GEMINI_TOKENS_LIMIT
from src.service.storage import MESSAGES_STORAGE_SCHEMA


def check_current_token_limit(
        model: GenerativeModel
) -> bool:
    raw_response = json.dumps(MESSAGES_STORAGE_SCHEMA.model_dump_json())

    tokens_response_count = model.count_tokens(raw_response).total_tokens
    print("tokens", model.count_tokens(raw_response).total_tokens)
    if tokens_response_count >= GEMINI_TOKENS_LIMIT:
        return False

    return True
