from time import sleep

from src.gemini_sdk.schemas import ChatMessageSchema
from src.gemini_sdk.service import gemini_helper
from src.schemas import MessagesForSendToWorkersSchema
from src.service.limter_checker import check_current_token_limit
from src.service.storage import MESSAGES_STORAGE_SCHEMA


async def handle_message_service(
        message_from_rmq: MessagesForSendToWorkersSchema,
):
    chat_message_schema = ChatMessageSchema(
        chat_id=message_from_rmq.messages[0].chat_id,
        messages=message_from_rmq.messages
    )
    MESSAGES_STORAGE_SCHEMA.chats.append(chat_message_schema)

    if check_current_token_limit(
            model=gemini_helper._model
    ):
        return
    else:
        result = gemini_helper.create_request_ai(
            messages=MESSAGES_STORAGE_SCHEMA
        )
        print(result)
        sleep(60)
        MESSAGES_STORAGE_SCHEMA.chats = []



