from pyrogram.types import Message
from pyrogram.enums import ChatType

from src.core.database import TgMessage, User, TgChat


def check_message_condition(
        message: Message,
) -> bool:
    conditions = (
        message.chat.type not in [ChatType.PRIVATE, ChatType.BOT],
        bool(message.from_user),
        bool(message.text),
    )
    return all(conditions)


def create_and_format_message(
        messages: list[TgMessage],
        reason: str,
        chat: TgChat,
        user_model: User,
) -> str:
    if user_model.username:
        user_link = f"{user_model.username}](tg://user?id={user_model.id})"
    else:
        user_link = f"ID: {user_model.id}"

    messages_text = "\n".join(
        f"{msg.message_time.isoformat()}: {msg.text}\n" for msg in messages
    )
    chat_link = f"https://t.me/c/{str(chat.id)[4:]}" if str(chat.id).startswith(
        "-100") else f"https://t.me/{chat.id}"

    return  f"""🔥 *Найдена успешка!*
    👤 *Пользователь:* {user_link}
    🐩 *Чат*: [{chat.title}]({chat_link})   
    📌 *Причина:* {reason}

    📝 *Диалог:* {messages_text}
    """